% script : test_filtrecomplexe.m
% test des fonctions recomfourier et filtrefourier par aller et retour  partir de coefficients alatoires
%
%
%************ Fonctions auxiliaires utilises ************
%
%    filtrefourier, recomfourier
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
% E-mail : jerome.bastien@univ-lyon1.fr

N=input('Entrez la valeur de N : ');
f=rand(1,N)+i*rand(1,N);
c=filtrefourier(f);
fbis=recomfourier(c);
% affichage de l'cart entre la fonction intiale et la fonction reconstruite en thorie nul
disp('affichage de l''cart entre la fonction initiale et la fonction reconstruite en thorie nul');
disp(max(abs(f-fbis)));
c=rand(1,N)+i*rand(1,N);
f=recomfourier(c);
cbis=filtrefourier(f);
% affichage de l'cart entre les coefficients initiaux et les coefficients reconstruits en thorie nul
disp('affichage de l''cart entre les coefficients initiaux et les coefficients reconstruits en thorie nul');
disp(max(abs(c-cbis)));

