% script : test_filtreel
% test des fonctions recomfourierre et filtrefourierre par aller et retour  partir de coefficients alatoires
%
%
%************ Fonctions auxiliaires utilises ************
%
%    recomfourierre, filtrefourierre
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
% E-mail : jerome.bastien@univ-lyon1.fr

N=input('Entrez la valeur de N : ');
f=rand(1,N);
[a,b]=filtrefourierre(f);
fbis=recomfourierre(a,b);
% affichage de l'cart entre la fonction intiale et la fonction reconstruite en thorie nul
disp('affichage de l''cart entre la fonction initiale et la fonction reconstruite en thorie nul');
disp(max(abs(f-fbis)));
if (rem(N,2)==0)
    a=rand(1,N/2+1);
    b=rand(1,N/2-1);
else
    a=rand(1,(N-1)/2+1);
    b=rand(1,(N-1)/2);
end
f=recomfourierre(a,b);
[abis,bbis]=filtrefourierre(f);
% affichage de l'cart entre les coefficients initiaux et les coefficients reconstruits en thorie nul
disp('affichage de l''cart entre les coefficients initiaux et les coefficients reconstruits en thorie nul');
disp(max([max(abs(a-abis)),max(abs(b-bbis))]));

