% script test_interpft : test de la fonction interpftder
%
% ************ Fonctions auxiliaires utilises ************
%
%    interpftder
%    ./general/rpg et le global rpgmax
%
% *********************************************************
%
%  2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

global rpgmax;
rpgmax=1000;
d=input('Entrez le degr du polynme de Bernoulli entre 0 et 4 : ');
N=input('Entrez le nombre de points : ');
q=input('Entrez le nombre q : ');
switch d
    case 0
        p0=[1];
    case 1
        p0=[1 -1/2];
    case 2
        p0=[1 -1 1/6];
    case 3
        p0=[1 -3/2 1/2 0];
    case 4
        p0=[1 -2 1 0 -1/30];
end
p1=polyder(p0);
p2=polyder(p1);
X=linspace(0,1,N+1);
X=X(1:end-1);
fe=1/(X(2)-X(1));
Y=polyval(p0,X);
Xgra=linspace(0,1,q*N+1);
Xgra=Xgra(1:end-1);
[Ygra0,Ygra1,Ygra2]=interpftder(fe,q,Y);
clf;
for i=0:2
    subplot(3,1,i+1);
    hold on;
    eval(['Ygra=polyval(p',int2str(i),',Xgra);']);
    eval(['ec=max(abs(Ygra-Ygra',int2str(i),'));']);
    eval(['plot(rpg(Xgra),rpg(Ygra),''r'',','rpg(Xgra),rpg(Ygra',int2str(i),'),''g'');']);
    dud=version;
    if (str2num(dud(1))>=7)
        legend('fonction interpolatrice','fonction initiale','location','best');
    else
        legend('fonction interpolatrice','fonction initiale',0);
    end    
    title(['Drive d''ordre ',int2str(i),' ; cart : ',num2str(ec),]);
    hold off;
end