% script : exemple_interpolation_polyfit
% interpolation au sens des moindres carrs pour la fonction 1/(1+x^2) sur [-3,3]
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr
%
% ************ Fonctions auxiliaires utilises ************
%
%       aucune
%
% *********************************************************


n=input('Entrez le nombre de points : ');
q=input('Entrez le degr du polynme choisi : ');
X=linspace(-3,3,n);
Y=1./(1+X.^2);
Xgra=linspace(-3,3,1000);
[B,S]=polyfit(X,Y,q);
Ygra=polyval(B,Xgra);
clf;
hold on;
plot(Xgra,Ygra,'r',X,Y,'og');
dud=version;
if (str2num(dud(1))>=7)
    legend('fonction interpolatrice','fonction initiale','location','best');
else
    legend('fonction interpolatrice','fonction initiale',0);
end    
plot(Xgra,1./(1+Xgra.^2),'g');
hold off;