% script : test_dsere
% test des fonctions dsere et comparaison avec les procdures de matlab
%
%
%************ Fonctions auxiliaires utilises ************
%
%    dsre
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
% E-mail : jerome.bastien@univ-lyon1.fr

fe=1e4;
t=0:(1/fe):.25;
alphaa=input('Entrez le coefficient alpha : ');
betaa=input('Entrez le coefficient beta : ');
gammaa=input('Entrez le coefficient gamma : ');
y=alphaa*sin(2*pi*50*t)+betaa*cos(2*pi*120*t)+gammaa*randn(size(t));
[F,E]=dsere(fe,y);
clf;
plot(F,E);
title('densit spectrale d''nergie');
xlabel('Frquence (Hz)');
disp('Appuyez sur une touche pour continuer');
pause;
clf;
plot(F(1:50),E(1:50));
title('densit spectrale d''nergie');
xlabel('Frquence (Hz)');

