% script : test_dsereB
% test des fonctions dsere
%
%
%************ Fonctions auxiliaires utilises ************
%
%    dsre
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
% E-mail : jerome.bastien@univ-lyon1.fr

fe=1e4;
t=0:(1/fe):.25;
alphaa=input('Entrez le coefficient alpha : ');
betaa=input('Entrez le coefficient beta : ');
gammaa=input('Entrez le coefficient gamma : ');
y=alphaa*sin(2*pi*50*t)+betaa*cos(2*pi*120*t)+gammaa*randn(size(t));
[F,E]=dsere(fe,y);
Indff1=find((40<=F)&(F<=60));
Indff2=find((100<=F)&(F<=140));
E1=sum(E(Indff1));
E2=sum(E(Indff2));
E=sum(E);
disp('Energie des frquences comprises entre 20 et 40 Hz');
disp(E1);
disp('Energie des frquences comprises entre 100 et 140 Hz');
disp(E2);
disp('Energie totale');
disp(E);
