% script : test_filtreel
% test des fonctions recomfourierre et filtrefourierre par calcul  partir de quelques coefficients de Fourier connus.
%
%
%************ Fonctions auxiliaires utilises ************
%
%    recomfourierre, filtrefourierre
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
% E-mail : jerome.bastien@univ-lyon1.fr

N=input('Entrez la valeur de N : ');
rp=input('Entrez les rangs des modes non nuls nuls : ');
if (rem(N,2)==0)
    a=zeros(1,N/2+1);
    b=zeros(1,N/2-1);
else
    a=zeros(1,(N-1)/2+1);
    b=zeros(1,(N-1)/2);
end
a(1)=input('Entrez a(0) : ');
for n=1:length(rp)
    a(rp(n)+1)=input(['Entrez a(',int2str(rp(n)),') : ']);
    b(rp(n))=input(['Entrez b(',int2str(rp(n)),') : ']);
end
T=1;
t=(0:N-1)*T/N;
y=zeros(1,N);
y=a(1)/2;
for n=1:length(rp)
   y=y+a(rp(n)+1)*cos(2*pi*rp(n)*t/T)+b(rp(n))*sin(2*pi*rp(n)*t/T);
end
[an,bn]=filtrefourierre(y);
ybis=recomfourierre(an,bn);
% affichage de l'cart entre la fonction intiale et la fonction reconstruite en thorie nul
disp('affichage de l''cart entre la fonction initiale et la fonction reconstruite en thorie nul');
disp(max(abs(y-ybis)));
% affichage de l'cart entre les coefficients initiaux et les coefficients reconstruits en thorie nul
disp('affichage de l''cart entre les coefficients initiaux et les coefficients reconstruits en thorie nul');
disp(max([max(abs(a-an)),max(abs(b-bn))]));