% script : demo_fft02.m : 
% calcul des coefficients de Fourier de la fonction f(t)=17/2+2cos(2 pi t*4)+17.3*sin(2 pi t*9)
% sur [0,1] et reconstruction du signal .
%
%
%************ Fonctions auxiliaires utilises ************
%
%    filtrefourierre, recomfourierre
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
% E-mail : jerome.bastien@univ-lyon1.fr

N=input('Entrez la valeur de N : ');
T=1;
t=(0:N-1)*T/N;
nmax=floor(N/2);
y=17/2+2*cos(2*pi*t*4)+17.3*sin(2*pi*t*9);
[a,b]=filtrefourierre(y);
% affichage de a_0 en thorie gal  2
disp('affichage de a_0 en thorie gal  17')
disp(a(1));
if (nmax>=4)
    % affichage de a_4 en thorie gal  2
    disp('affichage de a_4 en thorie gal  2')
    disp(a(5));
end
if (nmax-1>=9)
    % affichage de b_9 en thorie gal  17.3
    disp('affichage de b_{9} en thorie gal  17.3')
    disp(b(9));
else
   disp('attention N est trop petit ');
   disp('Affichage des coefficients de Fourier b');
   disp(b);
   error('Fin du programme');
end
% affichage des autres coefficients en thorie nul !
auxinda=setdiff(1:length(a),[1,5]);
auxindb=setdiff(1:length(b),9);
disp('affichage du plus grand modules des autres coefficients en thorie nuls')
disp(max([max(abs(a(auxinda))),max(abs(b(auxindb)))]));
ybis=recomfourierre(a,b);
% affichage de l'cart entre la fonction intiale et la fonction reconstruite en thorie nul
disp('affichage de l''cart entre la fonction initiale et la fonction reconstruite en thorie nul');
disp(max(abs(y-ybis)));