% script test_interpft_perso : test de la fonction test_interpft_perso
% et comparaison avec interpft_
%
% ************ Fonctions auxiliaires utilises ************
%
%    interpft_perso
%
% *********************************************************
%
%  2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

N=input('Entrez le nombre de points : ');
q=input('Entrez le nombre q : ');
X=linspace(-1,1,N+1);
X=X(1:end-1);
Y=exp(X);
Xgra=linspace(-1,1,q*N+1);
Xgra=Xgra(1:end-1);
Ygra=interpft_perso(q,Y);
clf;
hold on;
plot(Xgra,Ygra,'r',Xgra,exp(Xgra),'g');
dud=version;
if (str2num(dud(1))>=7)
    legend('fonction interpolatrice','fonction initiale','location','best');
else
    legend('fonction interpolatrice','fonction initiale',0);
end    
if (N<=50)
    plot(X,Y,'og');
else
    plot(X,Y,'g');
end
hold off;
disp('cart entre les deux fonctions');
disp(max(abs(Ygra-exp(Xgra))));
disp('cart avec la fonction interpft');
disp(max(abs(Ygra-interpft(Y,N*q))));
