% exemple_calcul_CG :  script d'exemple de calcul de centre de gravit.
[CX,CY,fe]=litfichierdonneskino('donneeskinogbarrefixB');
masse=[1.98 2.52 26.01 9 4.185 1.305];
alphaa=[0.57 0.564 0.5 0.433 0.433 0.5];
[XG,YG]=CG_segments(alphaa,CX,CY);
[XGtot,YGtot]=CG_total(masse/sum(masse),XG,YG);
nompoint=cell(1,12);
nompoint{1}='Avant-brasX';
nompoint{2}='Avant-brasY';
nompoint{3}='BrasX';
nompoint{4}='BrasY';
nompoint{5}='Tronc+teteX';
nompoint{6}='Tronc+teteY';
nompoint{7}='cuisseX';
nompoint{8}='cuisseY';
nompoint{9}='jambeX';
nompoint{10}='jambeY';
nompoint{11}='piedX';
nompoint{12}='piedY';
tracekinogramme(CX,CY,0,'donneeskinogbarrefixB');
disp('Appuyez sur une touche pour continuer');
pause;
[n,p]=size(CX);
U=zeros(n,2*(p-1));
U(:,1:2:end)=XG;
U(:,2:2:end)=YG;
stocke_tableau_txt(U,12,5,'f','CGsegm','centre  de gravit des segments',nompoint);
nompoint=cell(1,2);
nompoint{1}='GX';
nompoint{2}='GY';
U=zeros(n,2);
U(:,1)=XGtot;
U(:,2)=YGtot;
stocke_tableau_txt(U,12,5,'f','CGtot','centre  de gravit total',nompoint);
Gseg=zeros(10,12);
Gseg(:,1:2:end)=XG;
Gseg(:,2:2:end)=YG;
Gtot=zeros(10,2);
Gtot(:,1)=XGtot;
Gtot(:,2)=YGtot;
disp('Centre de gravit des segments dans l''ordre');
disp('Avant-bras, Bras, Tronc+tete, cuisse, jambe, pied');
disp(Gseg)
disp('Appuyez sur une touche pour continuer');
pause;
disp('Centre de gravit total');
disp(Gtot);
disp('Appuyez sur une touche pour continuer');
pause;
clf;
axis equal
plot(XGtot,YGtot,XGtot,YGtot,'or');
title('Trajectoire du centre de gravit');
hold on;
hold off;