function y=modulo2pi(x)

% la fonction modulopi la valeur de x dans ]-pi,pi], modulo 2 pi
% avec test de vrification
%
% *********************************************************
%   y=modulo2pi(x)
%
%	variable d'entres : 
%     *  x : tableaux de rels
%  Variables de sortie :
%     *  y : tableaux  x modulo 2 pi dans ]-pi,pi]
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

y=x-2*pi*(ceil(x/(2*pi)+1/2)-1);
indm=find(y<=-pi);
indp=find(y>pi);
if (~isempty(indm)) 
   y(indm)=y(indm)+2*pi;
end   
if (~isempty(indp)) 
   y(indp)=y(indp)-2*pi;
end   


