% script : test_unwrap : test de la fonction unwrap
%
% 2007 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

x=linspace(0,6,10000);
y0=(x).^2-pi+100*eps;
y1=modulo2pi(y0);
y2=unwrap(y1);
z=(y2-y1)/2/pi;
clf;
subplot(4,1,1);
plot(x,y0/pi*180);
title('Angles bruts ()');
subplot(4,1,2);
plot(x,y1/pi*180);
title('Angles modulo 360 ()');
subplot(4,1,3);
plot(x,y2/pi*180);
title('Angles dvelopps ()');
subplot(4,1,4);
plot(x,z);
title('Diffrences/360');


disp('cart maximum entre angles');
disp(max(abs(modulo2pi(y2)-y1)));
disp('cart maximum avec entier');
disp(max(abs(z-fix(z))));

