% exemple_moyenne_glissante : exemple d'utilisation de la moyenne glissante

% lecture des donnes
donnees=dlmread('faes_lift_filtre.txt',',',7,0);
freq=donnees(1,:);
freq=freq(1);
donnees=donnees(2:end,:);
donnees=donnees.^2;
n=size(donnees);
n=n(1);
temps=(0:n-1)/freq;

% nombre de point avant pour moyenne glissante
lead=200;
% nombre de point aprs pour moyenne glissante
lag=200;
donneesRMS=OLDtsmovavg(donnees,'s',lead,lag,1);
hold on;
plot(temps,donnees(:,1),'-.r',temps,donneesRMS(:,1),'b');
hold off;
